KDE 4.2 PyKDE API Reference

- KDE's Python API

# RangeException Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

## Enumerations

RangeExceptionCode | { BAD_BOUNDARYPOINTS_ERR, INVALID_NODE_TYPE_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

## Attributes

long | code

## Methods

| __init__ (self, long _code)
| __init__ (self, DOM.RangeException other)

## Method Documentation

__init__ | ( | self, |
|  | long | _code
| ) |  |  |

__init__ | ( | self, |
|  | DOM.RangeException | other
| ) |  |  |

## Attribute Documentation

long code

An integer indicating the type of error generated.

## Enumeration Documentation

RangeExceptionCode

An integer indicating the type of error generated.

Enumerator:

  BAD_BOUNDARYPOINTS_ERR = 1 |
  INVALID_NODE_TYPE_ERR = 2 |
  _EXCEPTION_OFFSET = 2000 |
  _EXCEPTION_MAX = 2999 |